# config/doctrine/Survey.orm.yaml

App\Entity\Survey:
  type: entity
  repositoryClass: App\Infrastructure\Repository\SurveyRepository
  uniqueConstraints:
    name_unique_idx:
      columns: [name]
  id:
    id:
      type: uuid
      generator:
        strategy: UUID
  fields:
    id:
      column: id
      type: guid
      id: true
      generator:
        strategy: UUID
    name:
      column: name
      type: string
      length: 255
      options:
        nullable: false
    status:
      column: status
      type: string
      length: 32
    reportEmail:
      column: reportEmail
      type: string
      length: 255
      options:
        nullable: false
  oneToOne:
    report:
      targetEntity: Report
      mappedBy: survey
      cascade: [persist, remove]
  oneToMany:
    answers:
      targetEntity: Answer
      mappedBy: survey
      cascade: [persist]
      orphanRemoval: true
